<?php
header('Content-Type: application/json');

// Pega o ID que o aplicativo vai enviar
$id_rev = isset($_GET['id']) ? $_GET['id'] : 'default';

// Caminho do JSON que o painel da revenda salvou
$jsonFile = "./db/panaci_theme_rev_" . $id_rev . ".json";

if (file_exists($jsonFile)) {
    // Entrega o tema da revenda X
    echo file_get_contents($jsonFile);
} else {
    // Se não encontrar (ou ID não enviado), entrega o Layout 0 (theme_d)
    echo json_encode([["RTXSetting" => "mLayout", "PanalData" => "theme_d"]]);
}
?>
